# The KTaglib_ID3v2_Frame class

(0.0.1)

## Introduction

The base class for ID3v2 frames. ID3v2 tags are separated in various specialized frames. Some frames can exists multiple times.

## Class synopsis

extends KTaglib_Tag {
/* Methods */
public getSize ( void ) : int
public __toString ( void ) : string
/* Inherited methods */
public KTaglib_Tag::getAlbum ( void ) : string
public KTaglib_Tag::getArtist ( void ) : string
public KTaglib_Tag::getComment ( void ) : string
public KTaglib_Tag::getGenre ( void ) : string
public KTaglib_Tag::getTitle ( void ) : string
public KTaglib_Tag::getTrack ( void ) : int
public KTaglib_Tag::getYear ( void ) : int
public KTaglib_Tag::isEmpty ( void ) : bool
}

## Table of Contents

- KTaglib_ID3v2_Frame::getSize — Returns the size of the frame in bytes
- KTaglib_ID3v2_Frame::__toString — Returns a string representation of the frame